from pathlib import Path
import numpy as np
import matplotlib.pyplot as plt
from ase.io import read



for fname in sorted(Path().glob('out/npt.temp=*/npt.traj')):
    temp = int(fname.parent.name.split('=')[-1])

    images = read(fname, index=':')
    if len(images) < 20:
        # Not finished
        continue

    atoms = images[-1]
    temp_now = atoms.get_temperature()

    # peak-to-peak difference (largest - smallest)
    # Will exceed cell size once atoms drift out
    drift = atoms.positions.ptp()

    print(f'temp={temp} temp_now={temp_now:6.3f} '
          f'vol={atoms.cell.volume:6.3f} drift={drift:.2f}')
